# Uses of Interface
org.eclipse.birt.report.engine.extension.IExecutorContext

Packages that use IExecutorContext
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IExecutorContext in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IExecutorContext
Modifier and Type
Method
Description
`IExecutorContext`
IReportItemExecutor.`getContext()`
get executor context
Methods in org.eclipse.birt.report.engine.extension with parameters of type IExecutorContext
Modifier and Type
Method
Description
`void`
IReportItemExecutor.`setContext(IExecutorContext context)`
set executor context to the extension executor